
QGIS Application - Bug report #16199

Processing: Warp (Reproject) throws Python error

2017-02-16 01:42 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24109

Description

2017-02-16T09:42:35    1    warning:/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py:219: DeprecationWarning:

BaseException.message has been deprecated as of Python 2.6

              unicode(e.message, errors='replace') + self.tr('\

See log for more details'), lines, e)

traceback:  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 256, in executeAlgorithm

                dlg.exec_()

              File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 290, in accept

                if runalg(self.alg, self):

              File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutor.py", line 49, in runalg

                alg.execute(progress or SilentProgress())

History

#1 - 2017-02-16 01:44 AM - Filipe Dias

When the tool is run this shows in the dialog:

Algorithm Warp (reproject) starting...

string index out of range See log for more details

In the logs:

Python warning:

2017-02-16T09:42:35    1    warning:/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py:219: DeprecationWarning: BaseException.message

has been deprecated as of Python 2.6

              unicode(e.message, errors='replace') + self.tr('\

See log for more details'), lines, e)

traceback:  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 256, in executeAlgorithm

                dlg.exec_()

              File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 290, in accept

                if runalg(self.alg, self):

              File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutor.py", line 49, in runalg

                alg.execute(progress or SilentProgress())

Processing:

2017-02-16T09:42:35    2    Uncaught error while executing algorithm

2025-04-27 1/2



            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalAlgorithm.py", line 52, in processAlgorithm

                commands = self.getConsoleCommands()

              File "/usr/share/qgis/python/plugins/processing/algs/gdal/warp.py", line 206, in getConsoleCommands

                return ['gdalwarp', GdalUtils.escapeAndJoin(arguments)]

              File "/usr/share/qgis/python/plugins/processing/algs/gdal/GdalUtils.py", line 178, in escapeAndJoin

                if s

0

 != '-' and ' ' in s:

            IndexError: string index out of range

#2 - 2017-02-16 01:48 AM - Filipe Dias

- Status changed from Open to Closed
